gr::gfdm::channel_estimator_cc Class Reference

<+description of block+> More...

`#include <channel_estimator_cc.h>`

Inheritance diagram for gr::gfdm::channel_estimator_cc:
[legend]

## Public Types

typedef boost::shared_ptr< channel_estimator_cc > | sptr

## Static Public Member Functions

static sptr | make (int timeslots, int fft_len, int active_subcarriers, bool is_dc_free, int which_estimator, std::vector< gr_complex > preamble)
| Return a shared_ptr to a new instance of gfdm::channel_estimator_cc.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<channel_estimator_cc> gr::gfdm::channel_estimator_cc::sptr

## Member Function Documentation

## make()

static sptr gr::gfdm::channel_estimator_cc::make | ( | int | timeslots,
|  | int | fft_len,
|  | int | active_subcarriers,
|  | bool | is_dc_free,
|  | int | which_estimator,
|  | std::vector< gr_complex > | preamble
| ) |  |

static

Return a shared_ptr to a new instance of gfdm::channel_estimator_cc.

To avoid accidental use of raw pointers, gfdm::channel_estimator_cc's constructor is in a private implementation class. gfdm::channel_estimator_cc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- channel_estimator_cc.h